#! /usr/bin/env node

const { spawn } = require("child_process");

let pid;

const server = spawn(
  "jet-samba-spa 8000 ./node_modules/jet-samba-spa/src/static/",
  [],
  { shell: true }
);
pid = server.pid;
const buildWatch = spawn("pnpm run build", [], { shell: true });

server.stdout.on("data", (data) => {
  console.log(`stdout: ${data}`);
});

server.stderr.on("data", (data) => {
  console.log(`stderr: ${data}`);
});

server.on("error", (error) => {
  console.log(error);
  console.log(`error: ${error.message}`);
});

server.on("close", (code) => {
  console.log(`child process exited with code ${code}`);
});

buildWatch.stdout.on("data", (data) => {
  console.log(`stdout: ${data}`);
});

buildWatch.stderr.on("data", (data) => {
  console.log(`stderr: ${data}`);
});

buildWatch.on("error", (error) => {
  console.log(error);
  console.log(`error: ${error.message}`);
});

buildWatch.on("close", (code) => {
  console.log(`child process exited with code ${code}`);
});

process.on("SIGINT", () => {
  console.log("stoping services");
  server.kill();
  process.exit(pid);
});

process.on("SIGTERM", () => {
  console.log("stoping services");
  server.kill();
  process.exit(pid);
});
