#! /usr/bin/env node
const fs = require("fs");
const path = require("path");

const [rootFolder = ""] = process.argv.splice(2);

const sourceRoute = path.join(rootFolder, "src");

fs.mkdir(sourceRoute, { recursive: true }, (err) => {
  if (err) {
    console.error("Error creating folder:", err);
    return;
  }
  console.log("Source folder created successfully.");
  const mainJSFile = path.join(sourceRoute, "main.js");
  const indexHTML = path.join(sourceRoute, "index.html");
  const appJSX = path.join(sourceRoute, "App.jsx");
  const packageJSON = path.join(rootFolder, "package.json");

  const javascript = fs.readFileSync(path.join("./template", "main.js"), {
    encoding: "utf-8",
  });
  fs.writeFileSync(mainJSFile, javascript);

  const html = fs.readFileSync(path.join("./template", "index.html"), {
    encoding: "utf-8",
  });
  fs.writeFileSync(indexHTML, html);

  const appJSXJavascript = fs.readFileSync(path.join("./template", "App.jsx"), {
    encoding: "utf-8",
  });
  fs.writeFileSync(appJSX, appJSXJavascript);

  const packageJSONContent = fs.readFileSync(
    path.join("./template", "package.json"),
    {
      encoding: "utf-8",
    }
  );
  fs.writeFileSync(packageJSON, packageJSONContent);
});
